/*
 *  Copyright 2020 Huawei Technologies Co., Ltd.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

html,body,p,h1,h2,h3,h4,h5,h6,ul,li{
  margin:0;
  padding:0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}
#app,html,body{
  height:100%;
}
.el-main{
  padding:20px 20px 60px 20px;
}
a{
  text-decoration: none;
  color:#fff;
}
li{
  list-style: none;
}
.lt{
  float: left;
}
.rt{
  float: right;
}
.clearfix{
  clear: both;
}
.breadcrumb{
  line-height: 50px;
  padding: 25px 5%;
  margin-top: 60px;
}
.pageBar{
  padding:25px 0;
}
.error{
  color:#F56C6C;
}
.success{
  color:#67C23A;
}
.wait{
  color:#E6A23C;
}
.primary{
  color:#409EFF;
}
.mt20{
  margin-top:20px;
}
.flex{
  display: flex
}
.h100{
  height: 100%;
}
.cp, .curp{
  cursor: pointer;
}


/* 自适应
@media screen and (min-width: 1201px) { 
  .home-container {max-width: 1200px} 
} 
@media screen and (max-width: 1200px) { 
  .home-container {max-width: 900px} 
} 
@media screen and (max-width: 901px) { 
  .home-container {max-width: 800px;} 
}
.home-container{
  margin:0 auto;
} */

@media screen and (min-width: 1201px) { 
  .monitor {max-width: 1200px} 
} 
@media screen and (max-width: 1200px) { 
  .monitor {max-width: 900px} 
} 
@media screen and (max-width: 901px) { 
  .monitor {max-width: 800px;} 
}
@media(max-width:767.98px) {
 
}

/* dialog */
.el-dialog__body{
  padding-top:15px!important;
}
.el-dialog__header{
  background: #409EFF;
}
.el-dialog_headerbtn:focus .el-dialogclose, .el-dialogheaderbtn:hover .el-dialogclose,.el-dialogtitle,.el-icon-close,.el-dialogheaderbtn .el-dialog_close{
  color:#fff;
}

/* navBar */
.el-menu--horizontal>.el-submenu .el-submenu__icon-arrow{
  margin-top:3px;
}
.el-submenu__icon-arrow{
  margin-top:-3px;
}


.el-message{
  top: 65px !important;
}

body .el-table th.gutter{
  display: table-cell !important;
}


/* 表格统一样式 */
.el-table .has-gutter th{
  background: #F0F3FA;
  height:32px;
}

/* area-link样式 */
.area-select>.area-selected-trigger{
  padding-top:0px !important;
}
.el-table .warning-row {
  background-color: #020513ad !important;
}
.el-table .success-row {
  background-color: transparent ;
}
.highlight {
  color: white;
  font-weight: bold;
  cursor: pointer;
}
.tabs-border {  
  border-right-color: transparent !important;
  border-left-color: transparent !important;
}
/* .el-upload{
  width:100% !important;
} */
.el-tabs--border-card>.el-tabs__header .el-tabs__item.is-active {
    background-color: transparent;
    border: none !important;
}


.video-player,.vjs-custom-skin > .video-js{
  height:100%;
}

.el-menu.el-menu--horizontal {
  display: flex;
  justify-content: space-between;
  background: transparent;
  border: none;
}
.el-menu--horizontal>.el-menu-item {
  border-bottom-color: transparent;
  color: white;
  font-weight: bold;
  font-size: 16px;
}
.el-menu--horizontal>.el-menu-item:hover {
  color: #481b75 !important;
  font-weight: bold !important;
  border-bottom: 4px solid #2ececa !important;
  background-color: transparent !important;
}
.el-menu--horizontal>.el-menu-item.is-active {
  border-bottom: 4px solid #2ececa !important;
  color: #481b75 !important;
  background-color: transparent !important;
}
/* #mic_con{
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
}

#video_con{
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
} */
#video_pannel{
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
}

.icon_con{
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0;
}
.el-input__inner {
  background-color: transparent !important;
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
  width: 280px;
}
.v-modal{
  z-index: 0 !important;
}
.el-collapse-item__header{
  padding-left: 20px;
  font-size: 20px;
  font-weight: bold;
}
.cell{
  color:black;
  padding:0 !important;
  text-align: center;

}
.el-collapse-item__content {
  padding-bottom: 0 !important;
}
.el-collapse-item__header {
  background: transparent;
  border: none;
}
.el-collapse-item__arrow {
  font-size: 30px;
  color: white;
  font-weight: bold;
}
.el-menu-vertical-demo {
 display: none;
} 
.el-collapse-item__wrap {
  background-color: transparent;
  border-bottom: transparent ;
  position: absolute;
  right: 0px;
  width: 450px;
}
.el-dialog__body {
  display: flex;
  justify-content: center;
}
.el-input {
  width: auto;
}
.el-input--medium .el-input__inner {
  width: 100%;
}
.cell {
  color: white ;
}
.el-table th.el-table__cell>.cell {
  color: black;
}
.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__cell {
  background-color: #f5f7fa54;
}
@media(max-width:900px) {
.el-icon-arrow-right {
  font-size: 30px;
  font-weight: bold;
  color: white;
  position: absolute;
  right: 0px
}
.el-dialog {
  margin-top: 20vh !important;
  width: 97% !important;
}
/* .el-dialog__body {
  width: 80% !important;
} */
.el-dialog__footer {
  padding: 0px 48px 8px !important;
}
.el-form--inline {
  display: flex !important ;
  flex-direction: row !important;
}
.el-collapse-item__header {
  background: transparent;
  border: none;
}
.el-form-item {
  margin-bottom: 0;
}
.vue-map-container {
  height: 260px !important;
}
.el-collapse {
  border: none;
}
.el-menu-vertical-demo {
  display: block;
 } 
 .el-collapse-item__wrap {
  width: 442px;
  position: absolute;
  right: 0px;
  border-bottom: transparent ;
 }
.el-table__header {
  width: 100% !important;
}
.el-table__body {
  width: 360px;
  margin: auto;
}
.el-table .el-table__cell {
  padding: 0 !important;
  border-bottom: transparent ;
}
.el-menu--collapse {
  display: none !important;
}
.el-collapse-item__wrap {
  background-color: transparent;
  border-bottom: none;
  border-bottom: transparent ;
}
.el-table td.el-table__cell {
  border-bottom: none;
}
.el-table td.el-table__cell, .el-table th.el-table__cell.is-leaf {
  border-bottom: none;
}

}